/// <reference types="node" />
import { Adapter, Message } from "@hibas123/logging";
export declare class LoggingFiles implements Adapter {
    private filename;
    private maxFileSize;
    file: Files;
    constructor(filename: string, maxFileSize?: number);
    init(): void;
    flush(sync: boolean): void;
    onMessage(message: Message): void;
    close(): void;
}
export declare class Files {
    #private;
    private file;
    private open;
    private static files;
    static getFile(filename: string): Files;
    private maxFileSize;
    private size;
    private stream;
    private lock;
    private debounce;
    get initlialized(): boolean;
    private constructor();
    init(maxFileSize: number): Promise<void>;
    private initializeFile;
    private queue;
    checkQueue(): Promise<void>;
    close(): Promise<void>;
    flush(sync: boolean): Promise<void>;
    private write_to_file;
    write(data: Buffer): void;
    dispose(): void;
}
