"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultLoggingFile = exports.LoggingFiles = void 0;
var filewriter_1 = require("./filewriter");
Object.defineProperty(exports, "LoggingFiles", { enumerable: true, get: function () { return filewriter_1.LoggingFiles; } });
const filewriter_2 = require("./filewriter");
const logging_1 = require("@hibas123/logging");
const logging_2 = require("@hibas123/logging");
logging_1.LoggingBase.nativeFunctions = {
    startTimer: () => {
        if (process.hrtime.bigint) {
            return process.hrtime.bigint();
        }
        else {
            return process.hrtime();
        }
    },
    endTimer: (start) => {
        if (process.hrtime.bigint) {
            return Number((process.hrtime.bigint() - start) / BigInt(1000)) / 1000;
        }
        else {
            let diff = process.hrtime(start);
            return diff[0] * 1000 + diff[1] / 1000000;
        }
    },
};
exports.DefaultLoggingFile = new filewriter_2.LoggingFiles("./logs/all.log");
logging_2.default.addAdapter(exports.DefaultLoggingFile);
exports.default = logging_2.default;
//# sourceMappingURL=index.js.map